DevelopersAPIReferencetransactions
Update transaction
Partial update: only the fields sent change, omitted fields keep their stored value.
PATCH
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidid*stringRow uuid
Format
uuidapplication/json- body
assetId?stringRow uuid
Format
uuiddate?stringMatch
^\d{4}-\d{2}-\d{2}$secondaryDate?|Match
^\d{4}-\d{2}-\d{2}$fromTo?string|nulldescription?string|nullamountValue?stringDecimal amount as a string, up to 4 fraction digits
Match
^-?\d+(\.\d{1,4})?$amountCurrency?stringcategoryId?|Category row uuid or a system-category sentinel ('transfer'/'balance'/'offset')
merchantId?|Row uuid
Format
uuidmerchantAutoAssigned?boolean|nullexcludeFromMerchantAutoAssignment?booleanusingDateRule?|Value in
"transactionDate""transactionMonth""monthAfterTransactionDate""monthBeforeTransactionDate""yearBeforeTransactionDate""oneMonthFromTransactionDate""oneYearFromTransactionDate""sixMonthsFromTransactionDate""custom"nullusingStartDate?|Match
^\d{4}-\d{2}-\d{2}$usingEndDate?|Match
^\d{4}-\d{2}-\d{2}$notes?string|nullparentTransactionId?|Row uuid
Format
uuidparent?booleansource?string|nullassignedUserId?|Row uuid
Format
uuidtransferCounterType?|Value in
"transaction""asset""securityTransaction""cryptoTransaction"nulltransferCounterId?|Row uuid
Format
uuidtagIds?array<>pending?booleanreviewed?booleanThe updated transaction
application/json- response
id*stringFormat
uuidwalletId*stringFormat
uuidfirestoreId*string|nullassetId*stringFormat
uuiddate*stringsecondaryDate*string|nullfromTo*string|nulldescription*string|nullamountValue*stringamountCurrency*stringValue in
"EUR""AUD""BGN""BRL""CAD""CHF""CNY""CZK""DKK""GBP""HKD""HUF""IDR""ILS""INR""ISK""JPY""KRW""MXN""MYR""NOK""NZD""PHP""PLN""RON""SEK""SGD""THB""TRY""USD""ZAR"categoryId*|Format
uuidmerchantId*|Format
uuidmerchantAutoAssigned*boolean|nullmerchantCheckedGoogleMaps*boolean|nullmerchantCheckedSearchApiGoogleWebSearch*boolean|nullexcludeFromMerchantAutoAssignment*booleanusingDateRule*|Value in
"transactionDate""transactionMonth""monthAfterTransactionDate""monthBeforeTransactionDate""yearBeforeTransactionDate""oneMonthFromTransactionDate""oneYearFromTransactionDate""sixMonthsFromTransactionDate""custom"nullusingStartDate*string|nullusingEndDate*string|nullnotes*string|nullparentTransactionId*|Format
uuidparent*booleansource*string|nullassignedUserId*string|nulltransferCounterType*|Value in
"transaction""asset""securityTransaction""cryptoTransaction"nulltransferCounterId*|Format
uuidgocardlessTransactionId*string|nullgocardlessInternalTransactionId*string|nullfinApiTransactionId*string|nullplaidTransactionId*string|nullklarnaTransactionId*string|nulltagIds*array<>pending*booleanreviewed*booleancreatedTime*|Format
date-timecreatedUserId*string|nulllastUpdatedTime*|Format
date-timelastUpdatedUserId*string|nullcurl -X PATCH 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "date": "string", "secondaryDate": "string", "fromTo": "string", "description": "string", "amountValue": "string", "amountCurrency": "EUR", "categoryId": "337f5e5d-288b-40d5-be14-901cc3acacc0", "merchantId": "c3073b9d-edd0-49f2-a28d-b7ded8ff9a8b", "merchantAutoAssigned": true, "merchantCheckedGoogleMaps": true, "merchantCheckedSearchApiGoogleWebSearch": true, "excludeFromMerchantAutoAssignment": true, "usingDateRule": "transactionDate", "usingStartDate": "string", "usingEndDate": "string", "notes": "string", "parentTransactionId": "f8033cf6-befa-47f4-a48a-b915b8c72a71", "parent": true, "source": "string", "assignedUserId": "string", "transferCounterType": "transaction", "transferCounterId": "bfd53a44-3603-4023-978c-daf5f740c5fd", "gocardlessTransactionId": "string", "gocardlessInternalTransactionId": "string", "finApiTransactionId": "string", "plaidTransactionId": "string", "klarnaTransactionId": "string", "tagIds": [ "9c99701b-f191-4642-8bc0-e04053f29131" ], "pending": true, "reviewed": true, "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string"}